Subject: [alpine-aports] [PATCH] community/docker: update to 17.03.0 and add completion for fish shell

From: Matthieu Monnier <[email-masked]>
Date: Wed, 22 Mar 2017 23:07:38 +0100

---
 community/docker/APKBUILD | 50 ++++++++++++++++++++++++++++++++++-------------
 1 file changed, 36 insertions(+), 14 deletions(-)

diff --git a/community/docker/APKBUILD b/community/docker/APKBUILD
index 88c48a6e53..8ea2087f27 100644
--- a/community/docker/APKBUILD
+++ b/community/docker/APKBUILD
@@ -1,6 +1,6 @@
 # Maintainer: Eivind Uggedal <[email-masked]>
 pkgname=docker
-pkgver=1.13.1
+pkgver=17.03.0
 _ver=${pkgver/_/-}
 pkgrel=0
 _gitcommit=v$_ver
@@ -10,43 +10,48 @@ arch="all"
 license="ASL 2.0"
 depends="iptables git xz"
 depends_dev=""
-makedepends="go btrfs-progs-dev bash linux-headers coreutils libseccomp-dev"
-options="!strip"
+makedepends="go btrfs-progs-dev bash linux-headers coreutils libseccomp-dev cmake"
+options="!check !strip"
 install="$pkgname.pre-install"
 
 # $ grep COMMIT hack/dockerfile/binaries-commits
 # TOMLV_COMMIT=9baf8a8a9f2ed20a8e54160840c492f937eeaf9a
-# RUNC_COMMIT=2f7393a47307a16f8cee44a37b262e8b81021e3e
-# CONTAINERD_COMMIT=03e5862ec0d8d3b3f750e19fca3ee367e13c090e
+# RUNC_COMMIT=a01dafd48bc1c7cc12bdb01206f9fea7dd6feb70
+# CONTAINERD_COMMIT=977c511eda0925a723debdc94d09459af49d082a
 # TINI_COMMIT=949e6facb77383876aeff8a6944dde66b3089574
 # LIBNETWORK_COMMIT=0f534354b813003a754606689722fe253101bc4e
 # VNDR_COMMIT=f56bd4504b4fad07a357913687fb652ee54bb3b0
+# BINDATA_COMMIT=a0ff2567cfb70903282db057e799fd826784d41d
 
-_runc_ver=2f7393a47307a16f8cee44a37b262e8b81021e3e
-_containerd_ver=03e5862ec0d8d3b3f750e19fca3ee367e13c090e
+_runc_ver=a01dafd48bc1c7cc12bdb01206f9fea7dd6feb70
+_containerd_ver=977c511eda0925a723debdc94d09459af49d082a
 _libnetwork_ver=0f534354b813003a754606689722fe253101bc4e
+_tini_ver=949e6facb77383876aeff8a6944dde66b3089574
 
 subpackages="
 	$pkgname-bash-completion:bashcomp:noarch
+	$pkgname-fish-completion:fishcomp:noarch
 	$pkgname-zsh-completion:zshcomp:noarch
 	$pkgname-vim:vim:noarch
 	"
 source="
-	$pkgname-$pkgver.tar.gz::https://github.com/docker/docker/archive/v$_ver.tar.gz
+	$pkgname-$pkgver.tar.gz::https://github.com/docker/docker/archive/v$_ver-ce.tar.gz
 	runc-$_runc_ver.tar.gz::https://github.com/opencontainers/runc/archive/$_runc_ver.tar.gz
 	containerd-$_containerd_ver.tar.gz::https://github.com/docker/containerd/archive/$_containerd_ver.tar.gz
 	libnetwork-$_libnetwork_ver.tar.gz::https://github.com/docker/libnetwork/archive/$_libnetwork_ver.tar.gz
+	tini-$_tini_ver.tar.gz::https://github.com/krallin/tini/archive/$_tini_ver.tar.gz
 
 	docker-openrc-fixes.patch
 	"
 
-builddir="$srcdir"/$pkgname-$_ver
+builddir="$srcdir"/$pkgname-$_ver-ce
 _buildtags="exclude_graphdriver_aufs exclude_graphdriver_devicemapper"
 _runc_buildtags="seccomp"
 _runc_builddir="$srcdir"/runc-$_runc_ver
 
 _containerd_builddir="$srcdir"/containerd-$_containerd_ver
 _libnetwork_builddir="$srcdir"/libnetwork-$_libnetwork_ver
+_tini_builddir="$srcdir"/tini-$_tini_ver
 
 _apply_patches() {
 	local _dir="$1"
@@ -96,6 +101,12 @@ build() {
 	cd "$_runc_builddir" || return 1
 	GOPATH="$PWD" make COMMIT="$_runc_ver" || return 1
 
+	# docker-init
+	msg "building docker-init"
+	cd "$_tini_builddir" || return 1
+	cmake .
+	make tini-static
+
 	# docker
 	msg "building docker"
 	cd "$builddir"
@@ -127,8 +138,9 @@ package() {
 	install -Dm755 "$_containerd_builddir"/bin/ctr \
 		"$pkgdir"/usr/bin/docker-containerd-ctr || return 1
 
-	install -Dm755 bundles/$ver/dynbinary/dockerinit-$ver \
-		"$pkgdir"/usr/lib/docker/dockerinit
+	install -Dm755 "$_tini_builddir"/tini-static \
+		"$pkgdir"/usr/bin/docker-init || return 1
+
 	install -Dm755 contrib/init/openrc/docker.initd \
 		"$pkgdir"/etc/init.d/docker
 	install -Dm644 contrib/init/openrc/docker.confd \
@@ -144,6 +156,15 @@ bashcomp() {
 		"$subpkgdir"/usr/share/bash-completion/completions/$pkgname
 }
 
+fishcomp() {
+	pkgdesc="Fish shell completion for Docker"
+	depends=""
+	install_if="$pkgname=$pkgver-r$pkgrel fish"
+
+	install -Dm644 "$builddir"/contrib/completion/fish/$pkgname.fish \
+		"$subpkgdir"/usr/share/fish/completions/$pkgname.fish || return 1
+}
+
 zshcomp() {
 	pkgdesc="Zsh completion for $pkgname"
 	depends=""
@@ -164,8 +185,9 @@ vim() {
 	done
 }
 
-sha512sums="e480a884d7bb4f41f5c036afd5fae878e03aa740297dd3dd4df0eb8766efa6426ba636453513b423666eea21ba99f162ec27885828f8348d8746424944a3cfb4  docker-1.13.1.tar.gz
-2c2c925a1274eaef16d54881bfaa3e535956b67dd10eed87096ae9e7576234ff3598d37e635d3ce88c10fa9d102e79300bd48b69b972b6082f7acbfe2d4e90ea  runc-2f7393a47307a16f8cee44a37b262e8b81021e3e.tar.gz
-7c320a8f8fc12ae74ccda00d0f2f45f66d7592b5d209a62553cff3463a6006d8ad0275e0ae4ef07879455a32767f1d33f8f0f34392d28be4e6c217eee0f36ca3  containerd-03e5862ec0d8d3b3f750e19fca3ee367e13c090e.tar.gz
+sha512sums="042d94143f8867e8165e4c306188fc8e5801faaa9901716a509c5a9f380e460ab54b4c48ee223909c0bf9360ec023b765e6258acbe1f03e6513a8fc364663970  docker-17.03.0.tar.gz
+1ea7ed8a98b2cbc508933608d7dc16b26c1507021200691e66fa61d4c567a5437aafae8b9710bf29ba94a8c4853de7f9e38e9e09de9a358a68e0e431771a13cc  runc-a01dafd48bc1c7cc12bdb01206f9fea7dd6feb70.tar.gz
+511732a70d3bea6efe85f2e41fe5d23a2e6d2bc85d961a5f757064d4a5062677e9c839ec94a7650c8dd37a1c0da32bcb74171dad257ba23e4bb1c7a045433d24  containerd-977c511eda0925a723debdc94d09459af49d082a.tar.gz
 754cf6489968f3a83392c52b9445f71e8d5faca96e23ffc3ee2c6e8644bf065b64c7497395cf8fac9cc083ce9c7668260e319d01a8f10613e67db2d8254f6b06  libnetwork-0f534354b813003a754606689722fe253101bc4e.tar.gz
+b6c1454f734662adf2fdedcb75cb7cdc82f4cf5b4c41fadf6891a670fa26d49b789034f4af8bf920b9e1ff1c3536123637ade9471f4ae2c1ef6c534e839b9f27  tini-949e6facb77383876aeff8a6944dde66b3089574.tar.gz
 8296b1bc88ef3dec4f9038c4e0bf83120ac5870860f6662eac9f9f8850ea8b7596bcd2b47932551e804ae8b6f6f26ad3bc4ce6d49600cc8eaf0a3016c15a9ccf  docker-openrc-fixes.patch"
-- 
2.12.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Pickfire <[email-masked]>
Date: Thu, 23 Mar 2017 12:06:09 +0800

> +++ b/community/docker/APKBUILD

I hope that docker can be separated into server and client build. And so does mongo.

There is a pull request on-going in github as well.
https://github.com/alpinelinux/aports/pull/885

---

---

From: "Monnier, Matthieu" <[email-masked]>
Date: Thu, 23 Mar 2017 08:50:48 +0100

Thanks, I haven't seen the PR. I deleted the patch. I'm sorry about the
noise.

2017-03-23 5:06 GMT+01:00 Pickfire <[email-masked]>:

> >       containerd-$_containerd_ver.tar.gz::https://github.com/
> docker/containerd/archive/$_containerd_ver.tar.gz
> >       libnetwork-$_libnetwork_ver.tar.gz::https://github.com/
> docker/libnetwork/archive/$_libnetwork_ver.tar.gz
> > -sha512sums="e480a884d7bb4f41f5c036afd5fae8
> 78e03aa740297dd3dd4df0eb8766efa6426ba636453513b423666eea21ba
> 99f162ec27885828f8348d8746424944a3cfb4  docker-1.13.1.tar.gz
> > -2c2c925a1274eaef16d54881bfaa3e535956b67dd10eed87096ae9e75762
> 34ff3598d37e635d3ce88c10fa9d102e79300bd48b69b972b6082f7acbfe2d4e90ea
> runc-2f7393a47307a16f8cee44a37b262e8b81021e3e.tar.gz
> > -7c320a8f8fc12ae74ccda00d0f2f45f66d7592b5d209a62553cff3463a60
> 06d8ad0275e0ae4ef07879455a32767f1d33f8f0f34392d28be4e6c217eee0f36ca3
> containerd-03e5862ec0d8d3b3f750e19fca3ee367e13c090e.tar.gz
> > +sha512sums="042d94143f8867e8165e4c306188fc
> 8e5801faaa9901716a509c5a9f380e460ab54b4c48ee223909c0bf9360ec
> 023b765e6258acbe1f03e6513a8fc364663970  docker-17.03.0.tar.gz
> > +1ea7ed8a98b2cbc508933608d7dc16b26c1507021200691e66fa61d4c567
> a5437aafae8b9710bf29ba94a8c4853de7f9e38e9e09de9a358a68e0e431771a13cc
> runc-a01dafd48bc1c7cc12bdb01206f9fea7dd6feb70.tar.gz
> > +511732a70d3bea6efe85f2e41fe5d23a2e6d2bc85d961a5f757064d4a506
> 2677e9c839ec94a7650c8dd37a1c0da32bcb74171dad257ba23e4bb1c7a045433d24
> containerd-977c511eda0925a723debdc94d09459af49d082a.tar.gz
> >  754cf6489968f3a83392c52b9445f71e8d5faca96e23ffc3ee2c6e8644bf
> 065b64c7497395cf8fac9cc083ce9c7668260e319d01a8f10613e67db2d8254f6b06
> libnetwork-0f534354b813003a754606689722fe253101bc4e.tar.gz
> > +b6c1454f734662adf2fdedcb75cb7cdc82f4cf5b4c41fadf6891a670fa26
> d49b789034f4af8bf920b9e1ff1c3536123637ade9471f4ae2c1ef6c534e839b9f27
> tini-949e6facb77383876aeff8a6944dde66b3089574.tar.gz
> >  8296b1bc88ef3dec4f9038c4e0bf83120ac5870860f6662eac9f9f8850ea
> 8b7596bcd2b47932551e804ae8b6f6f26ad3bc4ce6d49600cc8eaf0a3016c15a9ccf
> docker-openrc-fixes.patch"
>